
#include "%{APPNAMELC}.h"
#include <tqpushbutton.h>

%{APPNAME}Base::%{APPNAME}Base( TQWidget *parent, TQt::WFlags f )
    : TQWidget( parent, f )
{
    setupUi( this );
}

%{APPNAME}Base::~%{APPNAME}Base()
{
}

/* 
 *  Constructs a %{APPNAME} which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 */
%{APPNAME}::%{APPNAME}( TQWidget *parent, TQt::WFlags f )
    : %{APPNAME}Base( parent, f )
{
    connect(quit, TQT_SIGNAL(clicked()), this, TQT_SLOT(goodBye()));
}

/*  
 *  Destroys the object and frees any allocated resources
 */
%{APPNAME}::~%{APPNAME}()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  A simple slot... not very interesting.
 */
void %{APPNAME}::goodBye()
{
    close();
}

